MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001734VCMIMechanics - Town structurespublic2014-03-01 23:152015-11-01 01:24
ReporterFrostyMuadDib 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.98e 
Summary0001734: City Hall/Capitol can be built if Tavern is unavailable for the town
DescriptionNoticed this in Foolhardy Waywardness campaign, first scenario. The stronghold town you capture has build Town Hall, and disabled Tavern, but City Hall and Capitol can be build despite the fact that Tavern is disabled (in original HoMM3 you can't build them when you don't have tavern). I reproduced that with all original Heroes 3 towns.
Steps To ReproduceYOu need a town with build town hall and disabled Tavern.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001712resolvedIvan Tests for possibility of building a structure should be recursive 
related to 0002321feedback If any building dependency is disabled then building should be considered disabled too  

-  Notes
(0006059)
SXX (administrator)
2015-10-28 05:22
edited on: 2015-10-28 05:24

This one is fixed now (you won't be able to build City Hall if tavern disabled), but there still some improvement needed:
 - H3 show building as disabled if one of it's dependencies (e.g Tavern) is disabled.
 - VCMI just keep showing that building is required even if it's disabled.
Though this don't change anything gameplay-wise.

(0006069)
AVS (administrator)
2015-10-31 23:05

Then you should resolve this and open new ticket for improvements.

- Issue History
Date Modified Username Field Change
2014-03-01 23:15 FrostyMuadDib New Issue
2014-03-02 11:09 Ivan Assigned To => Ivan
2014-03-02 11:09 Ivan Status new => assigned
2014-03-02 11:09 Ivan Status assigned => confirmed
2014-03-02 11:10 Ivan Relationship added related to 0001712
2015-10-28 05:22 SXX Note Added: 0006059
2015-10-28 05:24 SXX Note Edited: 0006059 View Revisions
2015-10-31 23:05 AVS Note Added: 0006069
2015-10-31 23:06 AVS Assigned To Ivan => SXX
2015-10-31 23:06 AVS Status confirmed => assigned
2015-10-31 23:06 AVS Status assigned => confirmed
2015-11-01 01:17 SXX Status confirmed => resolved
2015-11-01 01:17 SXX Fixed in Version => 0.98e
2015-11-01 01:17 SXX Resolution open => fixed
2015-11-01 01:24 SXX Relationship added related to 0002321

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean